CREATE OR REPLACE FORCE EDITIONABLE VIEW "HDMS"."ELLINK_EG_LONG_VW" ("EG_ELEMENT_GLOBAL_ID", "EG_ELCODE_BCD", "EG_MAJOR_GROUP", "EG_GNAME_ID", "EG_CONCEPT_REFERENCE_ID", "EG_CONCEPT_NAME_ID", "EG_INACTIVE_IND", "EG_G_PRIMARY_COMMON_NAME", "EG_ACCEPTED_BY_ECOLOGY_IND", "EG_D_CLASSIFICATION_STATUS_ID", "EG_G_CLASSIFICATION_COM", "EG_D_LANGUAGE_ID", "EG_HIGHER_CLASS_UNIT_ID", "EG_D_CIRCUMSCRIP_CONFIDENCE_ID", "EG_D_LUMP_SPLIT_POTENTIAL_ID", "EG_D_LEVEL_CHANGE_POTENTIAL_ID", "EG_RELATIONSHIP_TO_STD_COM", "EG_G_RANK", "EG_G_RANK_CHANGE_DATE", "EG_G_RANK_REVIEW_DATE", "EG_ROUNDED_G_RANK", "EG_D_RANK_FORM_ID", "EG_G_RANK_RESP", "EG_ADD_TO_STD_DATE", "EG_ADD_TO_STD_AUTHORIZED_BY", "EG_ADD_TO_STD_COM", "EG_REMOVE_FROM_STD_DATE", "EG_REMOVE_FROM_STD_AUTH_BY", "EG_REMOVE_FROM_STD_COM", "EG_G_IMAGE_AVAILABLE_IND", "EG_G_IMAGE_NOTES", "EG_G_ELEMENT_INTERNAL_NOTES", "EG_REC_LAST_MOD_DATE", "EG_REC_LAST_MOD_USER", "EG_REC_CREATE_DATE", "EG_REC_CREATE_USER", "EG_ELEMENT_GLOBAL_SEQ_UID", "EG_ELEMENT_GLOBAL_OU_UID", "EG_CIRCUMSCRIP_CONFIDENCE_CD", "EG_CIRCUMSCRIP_CONF_DESC", "EG_CIRCUMSCRIP_CONFIDENCE_DO", "EG_CLASSIFICATION_STATUS_CD", "EG_CLASSIF_STATUS_DESC", "EG_CLASSIFICATION_STATUS_DO", "EG_LANGUAGE_DESC", "EG_LANGUAGE_DO", "EG_LEVEL_CHANGE_POTENT_DESC", "EG_LEVEL_CHANGE_POTENTIAL_DO", "EG_LUMP_SPLIT_POTENTIAL_DESC", "EG_LUMP_SPLIT_POTENTIAL_DO", "EG_RANK_FORM_CD", "EG_RANK_FORM_DESC", "EG_RANK_FORM_DO", "EG_REFERENCE_CODE", "EG_SYNONYMS", "EG_PREDECESSORS", "EG_SUCCESSORS", "EG_RELATED_STDS", "EG_RELATED_NONSTDS", "TG_ELEMENT_GLOBAL_ID", "TG_INTCODE_BCD", "TG_D_HYBRID_ID", "TG_TAXON_STAT_BCD", "TG_ELEMENT_SEQUENCE_NUM", "TG_D_JURIS_ENDEM_ID", "TG_EX_SITU_IND", "TG_EX_SITU_INSTITUTION", "TG_G_HYBRID_IND", "TG_DOMESTICATED_ORIGIN_IND", "TG_D_USESA_ID", "TG_USESA_DATE", "TG_INTERPRETED_USESA", "TG_INTERPRETED_USESA_DATE", "TG_USESA_COM", "TG_D_FWS_REGION_ID", "TG_D_CITES_ID", "TG_INTERPRETED_CITES", "TG_CITES_APPENDIX_III_COUNTRY", "TG_D_IUCN_ID", "TG_INTERPRETED_IUCN", "TG_GENERAL_STATUS_COM", "TG_REC_LAST_MOD_DATE", "TG_REC_LAST_MOD_USER", "TG_REC_CREATE_DATE", "TG_REC_CREATE_USER", "TG_D_STAKEHOLDER_SPECIES_ID", "TG_PARENT_SPECIES_ID", "TG_CITES_CD", "TG_CITES_DESC", "TG_CITES_DO", "TG_FWS_LEAD_REGION_CD", "TG_FWS_REGION_DESC", "TG_FWS_REGION_DO", "TG_HYBRID_DESC", "TG_HYBRID_DO", "TG_IUCN_CD", "TG_IUCN_DESC", "TG_IUCN_DO", "TG_JURIS_ENDEM_CD", "TG_JURIS_ENDEM_DESC", "TG_JURIS_ENDEM_DO", "TG_STAKEHOLDER_SPECIES_CD", "TG_STAKEHOLDER_SPECIES_DESC", "TG_STAKEHOLDER_SPECIES_DO", "TG_USESA_CD", "TG_USESA_DESC", "TG_USESA_DO", "GN_SCIENTIFIC_NAME_ID", "GN_SCIENTIFIC_NAME", "GN_FORMATTED_SCIENTIFIC_NAME", "GN_TRANSLATED_NAME", "GN_D_NAME_CATEGORY_ID", "GN_D_CLASSIFICATION_LEVEL_ID", "GN_PLACEHOLDER_NAME_IND", "GN_ACRONYM", "GN_AUTHOR_NAME", "GN_D_NOMENCLATURALLY_EST_ID", "GN_RELATIONSHIP_TO_EST_NAME", "GN_SCIENTIFIC_NAME_COM", "GN_SCIENTIFIC_NAME_INT_NOTES", "GN_REC_LAST_MOD_USER", "GN_REC_LAST_MOD_DATE", "GN_REC_CREATE_DATE", "GN_REC_CREATE_USER", "GN_SCIENTIFIC_NAME_OU_UID", "GN_SCIENTIFIC_NAME_SEQ_UID", "GN_NOMENCLATURALLY_EST_NAME_ID", "GN_SCIENTIFIC_NAME_EG_ID", "GN_CLASSIFICATION_LEVEL_NAME", "GN_CLASSIF_LEVEL_KEYWORD", "GN_CLASSIFICATION_LEVEL_DO", "GN_NAME_TYPE_CD", "GN_NAME_TYPE_DESC", "GN_NAME_CATEGORY_DESC", "GN_NAME_CATEGORY_DO", "GN_NOMENCLATURALLY_EST_DESC", "GN_NOMENCLATURALLY_EST_DO", "GN_NAME_CATEGORY_DO_DESC", "CR_REFERENCE_CODE", "CR_FULL_CITATION", "CR_FORMATTED_FULL_CITATION", "CR_SHORT_CITATION_AUTHOR", "CR_SHORT_CITATION_YEAR", "CR_SHORT_CITATION_YEAR_CHAR", "CR_SHORT_CITATION_TIEBREAKER", "CN_SCIENTIFIC_NAME_ID", "CN_SCIENTIFIC_NAME", "CN_FORMATTED_SCIENTIFIC_NAME", "CN_TRANSLATED_NAME", "CN_D_NAME_CATEGORY_ID", "CN_D_CLASSIFICATION_LEVEL_ID", "CN_PLACEHOLDER_NAME_IND", "CN_ACRONYM", "CN_AUTHOR_NAME", "CN_D_NOMENCLATURALLY_EST_ID", "CN_RELATIONSHIP_TO_EST_NAME", "CN_SCIENTIFIC_NAME_COM", "CN_SCIENTIFIC_NAME_INT_NOTES", "CN_REC_LAST_MOD_USER", "CN_REC_LAST_MOD_DATE", "CN_REC_CREATE_DATE", "CN_REC_CREATE_USER", "CN_SCIENTIFIC_NAME_OU_UID", "CN_SCIENTIFIC_NAME_SEQ_UID", "CN_NOMENCLATURALLY_EST_NAME_ID", "CN_CLASSIFICATION_LEVEL_NAME", "CN_CLASSIF_LEVEL_KEYWORD", "CN_CLASSIFICATION_LEVEL_DO", "CN_NAME_TYPE_CD", "CN_NAME_TYPE_DESC", "CN_NAME_CATEGORY_DESC", "CN_NAME_CATEGORY_DO", "CN_NOMENCLATURALLY_EST_DESC", "CN_NOMENCLATURALLY_EST_DO", "EG_GENUS", "EG_FAMILY", "EG_ORDER", "EG_CLASS", "EG_PHYLUM", "EG_KINGDOM", "EG_GENUS_SEQUENCE_NUM", "EG_FAMILY_SEQUENCE_NUM", "EG_ORDER_SEQUENCE_NUM", "EG_CLASS_SEQUENCE_NUM", "EG_PHYLUM_SEQUENCE_NUM", "EG_KINGDOM_SEQUENCE_NUM", "EG_GENUS_SEQ", "EG_FAMILY_SEQ", "EG_ORDER_SEQ", "EG_CLASS_SEQ", "EG_PHYLUM_SEQ", "EG_KINGDOM_SEQ") AS SELECT
element_global.element_global_id as eg_element_global_id,
element_global.elcode_bcd as eg_elcode_bcd,
substr(element_global.elcode_bcd,1,2) as eg_major_group,
element_global.gname_id as eg_gname_id,
element_global.concept_reference_id as eg_concept_reference_id,
element_global.concept_name_id as eg_concept_name_id,
element_global.inactive_ind as eg_inactive_ind,
element_global.g_primary_common_name as eg_g_primary_common_name,
element_global.accepted_by_ecology_ind as eg_accepted_by_ecology_ind,
element_global.d_classification_status_id as eg_d_classification_status_id,
element_global.g_classification_com as eg_g_classification_com,
element_global.d_language_id as eg_d_language_id,
element_global.higher_class_unit_id as eg_higher_class_unit_id,
element_global.d_circumscrip_confidence_id as eg_d_circumscrip_confidence_id,
element_global.d_lump_split_potential_id as eg_d_lump_split_potential_id,
element_global.d_level_change_potential_id as eg_d_level_change_potential_id,
element_global.relationship_to_standard_com as eg_relationship_to_std_com,
element_global.g_rank as eg_g_rank,
element_global.g_rank_change_date as eg_g_rank_change_date,
element_global.g_rank_review_date as eg_g_rank_review_date,
element_global.rounded_g_rank as eg_rounded_g_rank,
element_global.d_rank_form_id as eg_d_rank_form_id,
element_global.g_rank_resp as eg_g_rank_resp,
element_global.add_to_std_date as eg_add_to_std_date,
element_global.add_to_std_authorized_by as eg_add_to_std_authorized_by,
element_global.add_to_std_com as eg_add_to_std_com,
element_global.remove_from_std_date as eg_remove_from_std_date,
element_global.remove_from_std_authorized_by as eg_remove_from_std_auth_by,
element_global.remove_from_std_com as eg_remove_from_std_com,
element_global.g_image_available_ind as eg_g_image_available_ind,
element_global.g_image_notes as eg_g_image_notes,
element_global.g_element_internal_notes as eg_g_element_internal_notes,
element_global.rec_last_mod_date as eg_rec_last_mod_date,
element_global.rec_last_mod_user as eg_rec_last_mod_user,
element_global.rec_create_date as eg_rec_create_date,
element_global.rec_create_user as eg_rec_create_user,
element_global.element_global_seq_uid as eg_element_global_seq_uid,
element_global.element_global_ou_uid as eg_element_global_ou_uid,
d_circumscrip_confidence.circumscrip_confidence_cd as eg_circumscrip_confidence_cd,
d_circumscrip_confidence.circumscrip_confidence_desc as eg_circumscrip_conf_desc,
d_circumscrip_confidence.display_order as eg_circumscrip_confidence_do,
d_classification_status.classification_status_cd as eg_classification_status_cd,
d_classification_status.classification_status_desc as eg_classif_status_desc,
d_classification_status.display_order as eg_classification_status_do,
d_language.language_desc as eg_language_desc,
d_language.display_order as eg_language_do,
d_level_change_potential.level_change_potential_desc as eg_level_change_potent_desc,
d_level_change_potential.display_order as eg_level_change_potential_do,
d_lump_split_potential.lump_split_potential_desc as eg_lump_split_potential_desc,
d_lump_split_potential.display_order as eg_lump_split_potential_do,
d_rank_form.rank_form_cd as eg_rank_form_cd,
d_rank_form.rank_form_desc as eg_rank_form_desc,
d_rank_form.display_order as eg_rank_form_do,
gname_reference.reference_code as eg_reference_code, DelimList ('SELECT syname.scientific_name FROM scientific_name syname, synonym_global WHERE synonym_global.scientific_name_id = syname.scientific_name_id and synonym_global.element_global_id = ' || element_global.element_global_id || 'ORDER BY syname.scientific_name', ', ') AS eg_synonyms,DelimList('SELECT pred.elcode_bcd || '': ''||pred_sn.scientific_name FROM ELEMENT_LINEAGE, element_global pred, element_global succ, scientific_name pred_sn WHERE pred.element_global_id = ELEMENT_LINEAGE.PREDECESSOR_ID and succ.element_global_id = ELEMENT_LINEAGE.SUCCESSOR_ID and pred.gname_id = pred_sn.scientific_name_id and succ.element_global_id = ' || element_global.element_global_id || ' ORDER BY pred_sn.scientific_name',  ';  ') AS eg_predecessors, DelimList('SELECT succ.elcode_bcd || '': ''||succ_sn.scientific_name || '''' FROM ELEMENT_LINEAGE, element_global pred,element_global succ, scientific_name succ_sn WHERE pred.element_global_id = ELEMENT_LINEAGE.PREDECESSOR_ID and succ.element_global_id = ELEMENT_LINEAGE.SUCCESSOR_ID and succ.gname_id = succ_sn.scientific_name_id and pred.element_global_id = ' || element_global.element_global_id || 'ORDER BY succ_sn.scientific_name',  ';  ') AS eg_successors,
DelimList('SELECT eg_std.elcode_bcd || '': ''||gname_std.scientific_name || '''' FROM element_std_nonstd_rel el_rel, element_global eg_std,
scientific_name gname_std WHERE eg_std.gname_id = gname_std.scientific_name_id and el_rel.std_element_id = eg_std.element_global_id (+) and el_rel.nonstd_element_id = ' || element_global.element_global_id || ' ORDER BY gname_std.scientific_name',  ',  ') AS eg_related_stds,
DelimList('SELECT eg_nonstd.elcode_bcd || '': ''|| gname_nonstd.scientific_name || '''' FROM element_std_nonstd_rel el_rel, element_global eg_nonstd, scientific_name gname_nonstd
WHERE eg_nonstd.gname_id = gname_nonstd.scientific_name_id and el_rel.nonstd_element_id = eg_nonstd.element_global_id (+) and el_rel.std_element_id = ' || element_global.element_global_id || ' ORDER BY gname_nonstd.scientific_name',  ',  ') AS eg_related_nonstds,
taxon_global.element_global_id as tg_element_global_id,
taxon_global.intcode_bcd as tg_intcode_bcd,
taxon_global.d_hybrid_id as tg_d_hybrid_id,
taxon_global.taxon_stat_bcd as tg_taxon_stat_bcd,
taxon_global.element_sequence_num as tg_element_sequence_num,
taxon_global.d_juris_endem_id as tg_d_juris_endem_id,
taxon_global.ex_situ_ind as tg_ex_situ_ind,
taxon_global.ex_situ_institution as tg_ex_situ_institution,
taxon_global.g_hybrid_ind as tg_g_hybrid_ind,
taxon_global.domesticated_origin_ind as tg_domesticated_origin_ind,
taxon_global.d_usesa_id as tg_d_usesa_id,
taxon_global.usesa_date as tg_usesa_date,
taxon_global.interpreted_usesa as tg_interpreted_usesa,
taxon_global.interpreted_usesa_date as tg_interpreted_usesa_date,
taxon_global.usesa_com as tg_usesa_com,
taxon_global.d_fws_region_id as tg_d_fws_region_id,
taxon_global.d_cites_id as tg_d_cites_id,
taxon_global.interpreted_cites as tg_interpreted_cites,
taxon_global.cites_appendix_iii_country as tg_cites_appendix_iii_country,
taxon_global.d_iucn_id as tg_d_iucn_id,
taxon_global.interpreted_iucn as tg_interpreted_iucn,
taxon_global.general_status_com as tg_general_status_com,
taxon_global.rec_last_mod_date as tg_rec_last_mod_date,
taxon_global.rec_last_mod_user as tg_rec_last_mod_user,
taxon_global.rec_create_date as tg_rec_create_date,
taxon_global.rec_create_user as tg_rec_create_user,
taxon_global.d_stakeholder_species_id as tg_d_stakeholder_species_id,
taxon_global.parent_species_id as tg_parent_species_id,
d_cites.cites_cd as tg_cites_cd,
d_cites.cites_desc as tg_cites_desc,
d_cites.display_order as tg_cites_do,
d_fws_region.fws_lead_region_cd as tg_fws_lead_region_cd,
d_fws_region.fws_region_desc as tg_fws_region_desc,
d_fws_region.display_order as tg_fws_region_do,
d_hybrid.hybrid_desc as tg_hybrid_desc,
d_hybrid.display_order as tg_hybrid_do,
d_iucn.iucn_cd as tg_iucn_cd,
d_iucn.iucn_desc as tg_iucn_desc,
d_iucn.display_order as tg_iucn_do,
d_juris_endem.juris_endem_cd as tg_juris_endem_cd,
d_juris_endem.juris_endem_desc as tg_juris_endem_desc,
d_juris_endem.display_order as tg_juris_endem_do,
d_stakeholder_species.stakeholder_species_cd as tg_stakeholder_species_cd,
d_stakeholder_species.stakeholder_species_desc as tg_stakeholder_species_desc,
d_stakeholder_species.display_order as tg_stakeholder_species_do,
d_usesa.usesa_cd as tg_usesa_cd,
d_usesa.usesa_desc as tg_usesa_desc,
d_usesa.display_order as tg_usesa_do,
gname.scientific_name_id as gn_scientific_name_id,
gname.scientific_name as gn_scientific_name,
gname.formatted_scientific_name as gn_formatted_scientific_name,
gname.translated_name as gn_translated_name,
gname.d_name_category_id as gn_d_name_category_id,
gname.d_classification_level_id as gn_d_classification_level_id,
gname.placeholder_name_ind as gn_placeholder_name_ind,
gname.acronym as gn_acronym,
gname.author_name as gn_author_name,
gname.d_nomenclaturally_est_id as gn_d_nomenclaturally_est_id,
gname.relationship_to_est_name as gn_relationship_to_est_name,
gname.scientific_name_com as gn_scientific_name_com,
gname.scientific_name_internal_notes as gn_scientific_name_int_notes,
gname.rec_last_mod_user as gn_rec_last_mod_user,
gname.rec_last_mod_date as gn_rec_last_mod_date,
gname.rec_create_date as gn_rec_create_date,
gname.rec_create_user as gn_rec_create_user,
gname.scientific_name_ou_uid as gn_scientific_name_ou_uid,
gname.scientific_name_seq_uid as gn_scientific_name_seq_uid,
gname.nomenclaturally_est_name_id as gn_nomenclaturally_est_name_id,
substr(gname.scientific_name,1,230)
 || to_char(element_global.element_global_id,'9999999999999990')
 as gn_scientific_name_eg_id,
d_classification_level.classification_level_name as gn_classification_level_name,
d_classification_level.classification_level_keyword as gn_classif_level_keyword,
d_classification_level.display_order as gn_classification_level_do,
d_name_category.name_type_cd as gn_name_type_cd,
d_name_category.name_type_desc as gn_name_type_desc,
d_name_category.name_category_desc as gn_name_category_desc,
d_name_category.display_order as gn_name_category_do,
d_nomenclaturally_est.nomenclaturally_est_desc as gn_nomenclaturally_est_desc,
d_nomenclaturally_est.display_order as gn_nomenclaturally_est_do,
to_char(d_name_category.display_order,'9990')
 || ' ' || d_name_category.name_category_desc
 as gn_name_category_do_desc,
concept_reference.reference_code as cr_reference_code,
concept_reference.full_citation as cr_full_citation,
concept_reference.formatted_full_citation as cr_formatted_full_citation,
concept_reference.short_citation_author as cr_short_citation_author,
concept_reference.short_citation_year as cr_short_citation_year,
to_char(concept_reference.short_citation_year,'9990')
 as cr_short_citation_year_char,
concept_reference.short_citation_tiebreaker as cr_short_citation_tiebreaker,
concept_name.scientific_name_id as cn_scientific_name_id,
concept_name.scientific_name as cn_scientific_name,
concept_name.formatted_scientific_name as cn_formatted_scientific_name,
concept_name.translated_name as cn_translated_name,
concept_name.d_name_category_id as cn_d_name_category_id,
concept_name.d_classification_level_id as cn_d_classification_level_id,
concept_name.placeholder_name_ind as cn_placeholder_name_ind,
concept_name.acronym as cn_acronym,
concept_name.author_name as cn_author_name,
concept_name.d_nomenclaturally_est_id as cn_d_nomenclaturally_est_id,
concept_name.relationship_to_est_name as cn_relationship_to_est_name,
concept_name.scientific_name_com as cn_scientific_name_com,
concept_name.scientific_name_internal_notes as cn_scientific_name_int_notes,
concept_name.rec_last_mod_user as cn_rec_last_mod_user,
concept_name.rec_last_mod_date as cn_rec_last_mod_date,
concept_name.rec_create_date as cn_rec_create_date,
concept_name.rec_create_user as cn_rec_create_user,
concept_name.scientific_name_ou_uid as cn_scientific_name_ou_uid,
concept_name.scientific_name_seq_uid as cn_scientific_name_seq_uid,
concept_name.nomenclaturally_est_name_id as cn_nomenclaturally_est_name_id,
d_classification_level.classification_level_name as cn_classification_level_name,
d_classification_level.classification_level_keyword as cn_classif_level_keyword,
d_classification_level.display_order as cn_classification_level_do,
d_name_category.name_type_cd as cn_name_type_cd,
d_name_category.name_type_desc as cn_name_type_desc,
d_name_category.name_category_desc as cn_name_category_desc,
d_name_category.display_order as cn_name_category_do,
d_nomenclaturally_est.nomenclaturally_est_desc as cn_nomenclaturally_est_desc,
d_nomenclaturally_est.display_order as cn_nomenclaturally_est_do,
genus.higher_class_unit_name as eg_genus,
family.higher_class_unit_name as eg_family,
order_.higher_class_unit_name as eg_order,
class.higher_class_unit_name as eg_class,
phylum.higher_class_unit_name as eg_phylum,
kingdom.higher_class_unit_name as eg_kingdom,
genus_tax.higher_taxon_sequence_num as eg_genus_sequence_num,
family_tax.higher_taxon_sequence_num as eg_family_sequence_num,
order_tax.higher_taxon_sequence_num as eg_order_sequence_num,
class_tax.higher_taxon_sequence_num as eg_class_sequence_num,
phylum_tax.higher_taxon_sequence_num as eg_phylum_sequence_num,
kingdom_tax.higher_taxon_sequence_num as eg_kingdom_sequence_num,
to_char(nvl(genus_tax.higher_taxon_sequence_num,0),'B99999')
 ||' '||genus.higher_class_unit_name as eg_genus_seq,
to_char(nvl(family_tax.higher_taxon_sequence_num,0),'B99999')
 ||' '||family.higher_class_unit_name as eg_family_seq,
to_char(nvl(order_tax.higher_taxon_sequence_num,0),'B99999')
 ||' '||order_.higher_class_unit_name as eg_order_seq,
to_char(nvl(class_tax.higher_taxon_sequence_num,0),'B99999')
 ||' '||class.higher_class_unit_name as eg_class_seq,
to_char(nvl(phylum_tax.higher_taxon_sequence_num,0),'B99999')
 ||' '||phylum.higher_class_unit_name as eg_phylum_seq,
to_char(nvl(kingdom_tax.higher_taxon_sequence_num,0),'B99999')
 ||' '||kingdom.higher_class_unit_name as eg_kingdom_seq
FROM
taxon_global,
element_global,
element_global_ref,
scientific_name gname,
reference gname_reference,
reference concept_reference,
scientific_name concept_name,
higher_class_unit genus,
higher_class_unit family,
higher_class_unit order_,
higher_class_unit class,
higher_class_unit phylum,
higher_class_unit kingdom,
higher_taxon genus_tax,
higher_taxon family_tax,
higher_taxon order_tax,
higher_taxon class_tax,
higher_taxon phylum_tax,
higher_taxon kingdom_tax,
d_classification_status,
d_language,
d_circumscrip_confidence,
d_lump_split_potential,
d_level_change_potential,
d_rank_form,
d_hybrid,
d_juris_endem,
d_usesa,
d_fws_region,
d_cites,
d_iucn,
d_stakeholder_species,
d_name_category,
d_classification_level,
d_nomenclaturally_est,
d_name_category cn_d_name_category,
d_classification_level cn_d_classification_level,
d_nomenclaturally_est cn_d_nomenclaturally_est
WHERE
element_global.element_global_id = taxon_global.element_global_id
and element_global.gname_id = gname.scientific_name_id
and element_global.concept_reference_id = concept_reference.reference_id
and element_global.concept_name_id = concept_name.scientific_name_id
and element_global.element_global_id = element_global_ref.element_global_id
and element_global_ref.reference_id = gname_reference.reference_id
and element_global_ref.primary_scientific_name_ind = 'Y'
and element_global.higher_class_unit_id = genus.higher_class_unit_id
and genus.parent_unit_id = family.higher_class_unit_id
and family.parent_unit_id = order_.higher_class_unit_id
and order_.parent_unit_id = class.higher_class_unit_id
and class.parent_unit_id = phylum.higher_class_unit_id
and phylum.parent_unit_id = kingdom.higher_class_unit_id
and genus.higher_class_unit_id = genus_tax.higher_class_unit_id
and family.higher_class_unit_id = family_tax.higher_class_unit_id
and order_.higher_class_unit_id = order_tax.higher_class_unit_id
and class.higher_class_unit_id = class_tax.higher_class_unit_id
and phylum.higher_class_unit_id = phylum_tax.higher_class_unit_id
and kingdom.higher_class_unit_id = kingdom_tax.higher_class_unit_id
and element_global.d_classification_status_id
 = d_classification_status.d_classification_status_id(+)
and element_global.d_language_id
 = d_language.d_language_id(+)
and element_global.d_circumscrip_confidence_id
 = d_circumscrip_confidence.d_circumscrip_confidence_id(+)
and element_global.d_lump_split_potential_id
 = d_lump_split_potential.d_lump_split_potential_id(+)
and element_global.d_level_change_potential_id
 = d_level_change_potential.d_level_change_potential_id(+)
and element_global.d_rank_form_id
 = d_rank_form.d_rank_form_id(+)
and taxon_global.d_hybrid_id
 = d_hybrid.d_hybrid_id(+)
and taxon_global.d_juris_endem_id
 = d_juris_endem.d_juris_endem_id(+)
and taxon_global.d_usesa_id
 = d_usesa.d_usesa_id(+)
and taxon_global.d_fws_region_id
 = d_fws_region.d_fws_region_id(+)
and taxon_global.d_cites_id
 = d_cites.d_cites_id(+)
and taxon_global.d_iucn_id
 = d_iucn.d_iucn_id(+)
and taxon_global.d_stakeholder_species_id
 = d_stakeholder_species.d_stakeholder_species_id(+)
and gname.d_name_category_id
 = d_name_category.d_name_category_id(+)
and gname.d_classification_level_id
 = d_classification_level.d_classification_level_id(+)
and gname.d_nomenclaturally_est_id
 = d_nomenclaturally_est.d_nomenclaturally_est_id(+)
and concept_name.d_name_category_id
 = cn_d_name_category.d_name_category_id(+)
and concept_name.d_classification_level_id
 = cn_d_classification_level.d_classification_level_id(+)
and concept_name.d_nomenclaturally_est_id
 = cn_d_nomenclaturally_est.d_nomenclaturally_est_id(+);


  GRANT SELECT ON "HDMS"."ELLINK_EG_LONG_VW" TO "BIOTICS_READ_ROLE";
