
  CREATE OR REPLACE FORCE EDITIONABLE VIEW "HDMS"."ELLINK_ES_LONG_VW" ("ES_ELEMENT_SUBNATIONAL_ID", "ES_ELEMENT_NATIONAL_ID", "ES_SUBNATION_ID", "ES_SNAME_ID", "ES_S_PRIMARY_COMMON_NAME", "ES_D_LANGUAGE_ID", "ES_ACCEPTED_BY_ECOLOGY_IND", "ES_S_CLASSIFICATION_COM", "ES_S_RANK", "ES_S_RANK_CHANGE_DATE", "ES_S_RANK_REVIEW_DATE", "ES_ROUNDED_S_RANK", "ES_D_RANK_FORM_ID", "ES_BCD_STYLE_S_RANK", "ES_S_DISTRIBUTION_COM", "ES_D_EO_TRACK_STATUS_ID", "ES_D_ENDEMISM_ID", "ES_S_DATA_SENSITIVE_IND", "ES_S_PROTECTION_STATUS", "ES_S_PROTECTION_STATUS_DATE", "ES_S_IMAGE_AVAILABLE_IND", "ES_S_IMAGE_NOTES", "ES_D_MAINTAINED_BY_STATUS_ID", "ES_DISTRIBUTION_REFERENCE_ID", "ES_S_ELEMENT_INTERNAL_NOTES", "ES_S_RECEIVED_DATE", "ES_REC_LAST_MOD_DATE", "ES_REC_LAST_MOD_USER", "ES_REC_CREATE_DATE", "ES_REC_CREATE_USER", "ES_ELEMENT_SUBNATIONAL_SEQ_UID", "ES_ELEMENT_SUBNATIONAL_OU_UID", "ES_ELCODE_BCD", "ES_OLD_ELCODE_BCD", "ES_ENDEMISM_CD", "ES_ENDEMISM_DESC", "ES_ENDEMISM_DO", "ES_EO_TRACK_STATUS_CD", "ES_EO_TRACK_STATUS_DESC", "ES_EO_TRACK_STATUS_DO", "ES_LANGUAGE_DESC", "ES_LANGUAGE_DO", "ES_MAINTAINED_BY_STATUS_CD", "ES_MAINTAINED_BY_STATUS_DESC", "ES_MAINTAINED_BY_STATUS_DO", "ES_RANK_FORM_CD", "ES_RANK_FORM_DESC", "ES_RANK_FORM_DO", "TS_ELEMENT_SUBNATIONAL_ID", "TS_EXOTIC_STATUS", "TS_EXOTIC_STATUS_DATE", "TS_HYBRID_IND", "TS_D_INVASIVENESS_RATING_ID", "TS_INVASIVENESS_RATING_DATE", "TS_INVASIVENESS_COM", "TS_PEST_IND", "TS_PEST_WEED_STATUS_COM", "TS_GENERAL_STATUS_COM", "TS_STATE_INTERPRETED_USESA", "TS_STATE_INTERPRET_USESA_DATE", "TS_STATE_USESA_COM", "TS_PROV_INTERPRETED_COSEWIC", "TS_PROV_INTERPRET_COSEWIC_DATE", "TS_PROVINCIAL_COSEWIC_COM", "TS_REC_LAST_MOD_DATE", "TS_REC_LAST_MOD_USER", "TS_REC_CREATE_DATE", "TS_REC_CREATE_USER", "TS_INVASIVENESS_RATING_CD", "TS_INVASIVENESS_RATING_DESC", "TS_INVASIVENESS_RATING_DO", "SN_SCIENTIFIC_NAME_ID", "SN_SCIENTIFIC_NAME", "SN_FORMATTED_SCIENTIFIC_NAME", "SN_TRANSLATED_NAME", "SN_D_NAME_CATEGORY_ID", "SN_D_CLASSIFICATION_LEVEL_ID", "SN_PLACEHOLDER_NAME_IND", "SN_ACRONYM", "SN_AUTHOR_NAME", "SN_D_NOMENCLATURALLY_EST_ID", "SN_RELATIONSHIP_TO_EST_NAME", "SN_SCIENTIFIC_NAME_COM", "SN_SCIENTIFIC_NAME_INT_NOTES", "SN_REC_LAST_MOD_USER", "SN_REC_LAST_MOD_DATE", "SN_REC_CREATE_DATE", "SN_REC_CREATE_USER", "SN_SCIENTIFIC_NAME_OU_UID", "SN_SCIENTIFIC_NAME_SEQ_UID", "SN_NOMENCLATURALLY_EST_NAME_ID", "SN_CLASSIFICATION_LEVEL_NAME", "SN_CLASSIF_LEVEL_KEYWORD", "SN_CLASSIFICATION_LEVEL_DO", "SN_NAME_TYPE_CD", "SN_NAME_TYPE_DESC", "SN_NAME_CATEGORY_DESC", "SN_NAME_CATEGORY_DO", "SN_NOMENCLATURALLY_EST_DESC", "SN_NOMENCLATURALLY_EST_DO", "SUBNAT_SUBNATION_ID", "SUBNAT_NATION_ID", "SUBNAT_SUBNATION_CODE", "SUBNAT_BASIC_SUBNATION_IND", "SUBNAT_SUBNATION_NAME", "SUBNAT_DISPLAY_ORDER", "ES_DX_DATE", "ES_DX_STATUS", "ES_EO_COUNT") AS 
  SELECT
element_subnational.element_subnational_id as es_element_subnational_id,
element_subnational.element_national_id as es_element_national_id,
element_subnational.subnation_id as es_subnation_id,
element_subnational.sname_id as es_sname_id,
element_subnational.s_primary_common_name as es_s_primary_common_name,
element_subnational.d_language_id as es_d_language_id,
element_subnational.accepted_by_ecology_ind as es_accepted_by_ecology_ind,
element_subnational.s_classification_com as es_s_classification_com,
element_subnational.s_rank as es_s_rank,
element_subnational.s_rank_change_date as es_s_rank_change_date,
element_subnational.s_rank_review_date as es_s_rank_review_date,
element_subnational.rounded_s_rank as es_rounded_s_rank,
element_subnational.d_rank_form_id as es_d_rank_form_id,
element_subnational.bcd_style_s_rank as es_bcd_style_s_rank,
element_subnational.s_distribution_com as es_s_distribution_com,
element_subnational.d_eo_track_status_id as es_d_eo_track_status_id,
element_subnational.d_endemism_id as es_d_endemism_id,
D_DATA_SENSITIVE.DATA_SENSITIVE_DESC as es_s_data_sensitive_ind,
element_subnational.s_protection_status as es_s_protection_status,
element_subnational.s_protection_status_date as es_s_protection_status_date,
element_subnational.s_image_available_ind as es_s_image_available_ind,
element_subnational.s_image_notes as es_s_image_notes,
element_subnational.d_maintained_by_status_id as es_d_maintained_by_status_id,
element_subnational.distribution_reference_id as es_distribution_reference_id,
element_subnational.s_element_internal_notes as es_s_element_internal_notes,
element_subnational.s_received_date as es_s_received_date,
element_subnational.rec_last_mod_date as es_rec_last_mod_date,
element_subnational.rec_last_mod_user as es_rec_last_mod_user,
element_subnational.rec_create_date as es_rec_create_date,
element_subnational.rec_create_user as es_rec_create_user,
element_subnational.element_subnational_seq_uid as es_element_subnational_seq_uid,
element_subnational.element_subnational_ou_uid as es_element_subnational_ou_uid,
est_elcode(element_subnational.element_subnational_id) as es_elcode_bcd,
element_subnational.old_elcode_bcd as es_old_elcode_bcd,
d_endemism.endemism_cd as es_endemism_cd,
d_endemism.endemism_desc as es_endemism_desc,
d_endemism.display_order as es_endemism_do,
d_eo_track_status.eo_track_status_cd as es_eo_track_status_cd,
d_eo_track_status.eo_track_status_desc as es_eo_track_status_desc,
d_eo_track_status.display_order as es_eo_track_status_do,
d_language.language_desc as es_language_desc,
d_language.display_order as es_language_do,
d_maintained_by_status.maintained_by_status_cd as es_maintained_by_status_cd,
d_maintained_by_status.maintained_by_status_desc as es_maintained_by_status_desc,
d_maintained_by_status.display_order as es_maintained_by_status_do,
d_rank_form.rank_form_cd as es_rank_form_cd,
d_rank_form.rank_form_desc as es_rank_form_desc,
d_rank_form.display_order as es_rank_form_do,
taxon_subnational.element_subnational_id as ts_element_subnational_id,
taxon_subnational.exotic_status as ts_exotic_status,
taxon_subnational.exotic_status_date as ts_exotic_status_date,
taxon_subnational.hybrid_ind as ts_hybrid_ind,
taxon_subnational.d_invasiveness_rating_id as ts_d_invasiveness_rating_id,
taxon_subnational.invasiveness_rating_date as ts_invasiveness_rating_date,
taxon_subnational.invasiveness_com as ts_invasiveness_com,
taxon_subnational.pest_ind as ts_pest_ind,
taxon_subnational.pest_weed_status_com as ts_pest_weed_status_com,
taxon_subnational.general_status_com as ts_general_status_com,
taxon_subnational.state_interpreted_usesa as ts_state_interpreted_usesa,
taxon_subnational.state_interpreted_usesa_date as ts_state_interpret_usesa_date,
taxon_subnational.state_usesa_com as ts_state_usesa_com,
taxon_subnational.prov_interpreted_cosewic as ts_prov_interpreted_cosewic,
taxon_subnational.prov_interpreted_cosewic_date as ts_prov_interpret_cosewic_date,
taxon_subnational.provincial_cosewic_com as ts_provincial_cosewic_com,
taxon_subnational.rec_last_mod_date as ts_rec_last_mod_date,
taxon_subnational.rec_last_mod_user as ts_rec_last_mod_user,
taxon_subnational.rec_create_date as ts_rec_create_date,
taxon_subnational.rec_create_user as ts_rec_create_user,
d_invasiveness_rating.invasiveness_rating_cd as ts_invasiveness_rating_cd,
d_invasiveness_rating.invasiveness_rating_desc as ts_invasiveness_rating_desc,
d_invasiveness_rating.display_order as ts_invasiveness_rating_do,
sname.scientific_name_id as sn_scientific_name_id,
sname.scientific_name as sn_scientific_name,
sname.formatted_scientific_name as sn_formatted_scientific_name,
sname.translated_name as sn_translated_name,
sname.d_name_category_id as sn_d_name_category_id,
sname.d_classification_level_id as sn_d_classification_level_id,
sname.placeholder_name_ind as sn_placeholder_name_ind,
sname.acronym as sn_acronym,
sname.author_name as sn_author_name,
sname.d_nomenclaturally_est_id as sn_d_nomenclaturally_est_id,
sname.relationship_to_est_name as sn_relationship_to_est_name,
sname.scientific_name_com as sn_scientific_name_com,
sname.scientific_name_internal_notes as sn_scientific_name_int_notes,
sname.rec_last_mod_user as sn_rec_last_mod_user,
sname.rec_last_mod_date as sn_rec_last_mod_date,
sname.rec_create_date as sn_rec_create_date,
sname.rec_create_user as sn_rec_create_user,
sname.scientific_name_ou_uid as sn_scientific_name_ou_uid,
sname.scientific_name_seq_uid as sn_scientific_name_seq_uid,
sname.nomenclaturally_est_name_id as sn_nomenclaturally_est_name_id,
d_classification_level.classification_level_name as sn_classification_level_name,
d_classification_level.classification_level_keyword as sn_classif_level_keyword,
d_classification_level.display_order as sn_classification_level_do,
d_name_category.name_type_cd as sn_name_type_cd,
d_name_category.name_type_desc as sn_name_type_desc,
d_name_category.name_category_desc as sn_name_category_desc,
d_name_category.display_order as sn_name_category_do,
d_nomenclaturally_est.nomenclaturally_est_desc as sn_nomenclaturally_est_desc,
d_nomenclaturally_est.display_order as sn_nomenclaturally_est_do,
subnation.subnation_id as subnat_subnation_id,
subnation.nation_id as subnat_nation_id,
subnation.subnation_code as subnat_subnation_code,
subnation.basic_subnation_indicator as subnat_basic_subnation_ind,
subnation.subnation_name as subnat_subnation_name,
subnation.display_order as subnat_display_order,
data_exchange.dx_date,
element_subnational.dx_last_received_status,
(select Count(eo.eo_id) from eo where element_subnational.element_subnational_id = eo.element_subnational_id) eo_count
FROM
element_subnational,
taxon_subnational,
scientific_name sname,
subnation,
d_language,
d_rank_form,
d_eo_track_status,
d_endemism,
d_maintained_by_status,
d_invasiveness_rating,
d_name_category,
d_classification_level,
d_nomenclaturally_est,
d_data_sensitive,
data_exchange
WHERE
element_subnational.element_subnational_id
 = taxon_subnational.element_subnational_id
and element_subnational.sname_id
 = sname.scientific_name_id
and element_subnational.subnation_id = subnation.subnation_id
and element_subnational.d_language_id
 = d_language.d_language_id(+)
and element_subnational.d_rank_form_id
 = d_rank_form.d_rank_form_id(+)
and element_subnational.d_eo_track_status_id
 = d_eo_track_status.d_eo_track_status_id(+)
and element_subnational.d_endemism_id
 = d_endemism.d_endemism_id(+)
and element_subnational.d_maintained_by_status_id
 = d_maintained_by_status.d_maintained_by_status_id(+)
and taxon_subnational.d_invasiveness_rating_id
 = d_invasiveness_rating.d_invasiveness_rating_id(+)
and sname.d_name_category_id
 = d_name_category.d_name_category_id(+)
and sname.d_classification_level_id
 = d_classification_level.d_classification_level_id(+)
and sname.d_nomenclaturally_est_id
 = d_nomenclaturally_est.d_nomenclaturally_est_id(+)
 and element_subnational.D_DATA_SENSITIVE_ID = d_data_sensitive.D_DATA_SENSITIVE_ID (+)
 and ELEMENT_SUBNATIONAL.dx_last_exchange_id = DATA_EXCHANGE.data_exchange_id (+);

  GRANT SELECT ON "HDMS"."ELLINK_ES_LONG_VW" TO "BIOTICS_READ_ROLE";
