
  CREATE OR REPLACE FORCE EDITIONABLE VIEW "HDMS"."ELLINK_EN_LONG_VW" ("EN_ELEMENT_NATIONAL_ID", "EN_ELEMENT_GLOBAL_ID", "EN_NATION_ID", "EN_NNAME_ID", "EN_N_CLASSIFICATION_COM", "EN_N_PRIMARY_COMMON_NAME", "EN_D_LANGUAGE_ID", "EN_ACCEPTED_BY_ECOLOGY_IND", "EN_N_RANK", "EN_N_RANK_CHANGE_DATE", "EN_N_RANK_REVIEW_DATE", "EN_ROUNDED_N_RANK", "EN_D_RANK_FORM_ID", "EN_BCD_STYLE_N_RANK", "EN_N_RANK_RESP", "EN_N_DISTRIBUTION_COM", "EN_D_EO_TRACK_STATUS_ID", "EN_D_ENDEMISM_ID", "EN_N_DATA_SENSITIVE_IND", "EN_N_PROTECTION_STATUS", "EN_N_PROTECTION_STATUS_DATE", "EN_N_IMAGE_AVAILABLE_IND", "EN_N_IMAGE_NOTES", "EN_D_MAINTAINED_BY_STATUS_ID", "EN_DISTRIBUTION_REFERENCE_ID", "EN_N_ELEMENT_INTERNAL_NOTES", "EN_N_RECEIVED_DATE", "EN_REC_LAST_MOD_DATE", "EN_REC_LAST_MOD_USER", "EN_REC_CREATE_DATE", "EN_REC_CREATE_USER", "EN_ELEMENT_NATIONAL_SEQ_UID", "EN_ELEMENT_NATIONAL_OU_UID", "EN_ENDEMISM_CD", "EN_ENDEMISM_DESC", "EN_ENDEMISM_DO", "EN_EO_TRACK_STATUS_CD", "EN_EO_TRACK_STATUS_DESC", "EN_EO_TRACK_STATUS_DO", "EN_LANGUAGE_DESC", "EN_LANGUAGE_DO", "EN_MAINTAINED_BY_STATUS_CD", "EN_MAINTAINED_BY_STATUS_DESC", "EN_MAINTAINED_BY_STATUS_DO", "EN_RANK_FORM_CD", "EN_RANK_FORM_DESC", "EN_RANK_FORM_DO", "TN_ELEMENT_NATIONAL_ID", "TN_EXOTIC_STATUS", "TN_EXOTIC_STATUS_DATE", "TN_HYBRID_IND", "TN_D_INVASIVENESS_RATING_ID", "TN_INVASIVENESS_RATING_DATE", "TN_INVASIVENESS_COM", "TN_PEST_IND", "TN_PEST_WEED_STATUS_COM", "TN_GENERAL_STATUS_COM", "TN_INTERPRETED_USESA", "TN_INTERPRETED_USESA_DATE", "TN_USESA_COM", "TN_D_COSEWIC_ID", "TN_COSEWIC_DATE", "TN_DISPLAY_ORDER", "TN_INTERPRETED_COSEWIC", "TN_INTERPRETED_COSEWIC_DATE", "TN_COSEWIC_COM", "TN_SCIENTIFIC_NAME_ID", "TN_NWI_NATIONAL_IND_RANGE", "TN_NWI_COM", "TN_REC_LAST_MOD_DATE", "TN_REC_LAST_MOD_USER", "TN_REC_CREATE_DATE", "TN_REC_CREATE_USER", "TN_COSEWIC_CD", "TN_COSEWIC_DESC", "TN_COSEWIC_DO", "TN_INVASIVENESS_RATING_CD", "TN_INVASIVENESS_RATING_DESC", "TN_INVASIVENESS_RATING_DO", "NN_SCIENTIFIC_NAME_ID", "NN_SCIENTIFIC_NAME", "NN_FORMATTED_SCIENTIFIC_NAME", "NN_TRANSLATED_NAME", "NN_D_NAME_CATEGORY_ID", "NN_D_CLASSIFICATION_LEVEL_ID", "NN_PLACEHOLDER_NAME_IND", "NN_ACRONYM", "NN_AUTHOR_NAME", "NN_D_NOMENCLATURALLY_EST_ID", "NN_RELATIONSHIP_TO_EST_NAME", "NN_SCIENTIFIC_NAME_COM", "NN_SCIENTIFIC_NAME_INT_NOTES", "NN_REC_LAST_MOD_USER", "NN_REC_LAST_MOD_DATE", "NN_REC_CREATE_DATE", "NN_REC_CREATE_USER", "NN_SCIENTIFIC_NAME_OU_UID", "NN_SCIENTIFIC_NAME_SEQ_UID", "NN_NOMENCLATURALLY_EST_NAME_ID", "NN_CLASSIFICATION_LEVEL_NAME", "NN_CLASSIF_LEVEL_KEYWORD", "NN_CLASSIFICATION_LEVEL_DO", "NN_NAME_TYPE_CD", "NN_NAME_TYPE_DESC", "NN_NAME_CATEGORY_DESC", "NN_NAME_CATEGORY_DO", "NN_NOMENCLATURALLY_EST_DESC", "NN_NOMENCLATURALLY_EST_DO", "NAT_NATION_ID", "NAT_ISO_NATION_CD", "NAT_ISO_SHORT_NAME", "NAT_USSD_SHORT_NAME", "NAT_USSD_LONG_NAME", "NAT_NATION_FIPS_CD", "NAT_DISPLAY_VALUE", "NAT_DISPLAY_ORDER", "EN_DX_DATE", "EN_DX_STATUS", "EN_EO_COUNT") AS 
  SELECT
element_national.element_national_id as en_element_national_id,
element_national.element_global_id as en_element_global_id,
element_national.nation_id as en_nation_id,
element_national.nname_id as en_nname_id,
element_national.n_classification_com as en_n_classification_com,
element_national.n_primary_common_name as en_n_primary_common_name,
element_national.d_language_id as en_d_language_id,
element_national.accepted_by_ecology_ind as en_accepted_by_ecology_ind,
element_national.n_rank as en_n_rank,
element_national.n_rank_change_date as en_n_rank_change_date,
element_national.n_rank_review_date as en_n_rank_review_date,
element_national.rounded_n_rank as en_rounded_n_rank,
element_national.d_rank_form_id as en_d_rank_form_id,
element_national.bcd_style_n_rank as en_bcd_style_n_rank,
element_national.n_rank_resp as en_n_rank_resp,
element_national.n_distribution_com as en_n_distribution_com,
element_national.d_eo_track_status_id as en_d_eo_track_status_id,
element_national.d_endemism_id as en_d_endemism_id,
element_national.n_data_sensitive_ind as en_n_data_sensitive_ind,
element_national.n_protection_status as en_n_protection_status,
element_national.n_protection_status_date as en_n_protection_status_date,
element_national.n_image_available_ind as en_n_image_available_ind,
element_national.n_image_notes as en_n_image_notes,
element_national.d_maintained_by_status_id as en_d_maintained_by_status_id,
element_national.distribution_reference_id as en_distribution_reference_id,
element_national.n_element_internal_notes as en_n_element_internal_notes,
element_national.n_received_date as en_n_received_date,
element_national.rec_last_mod_date as en_rec_last_mod_date,
element_national.rec_last_mod_user as en_rec_last_mod_user,
element_national.rec_create_date as en_rec_create_date,
element_national.rec_create_user as en_rec_create_user,
element_national.element_national_seq_uid as en_element_national_seq_uid,
element_national.element_national_ou_uid as en_element_national_ou_uid,
d_endemism.endemism_cd as en_endemism_cd,
d_endemism.endemism_desc as en_endemism_desc,
d_endemism.display_order as en_endemism_do,
d_eo_track_status.eo_track_status_cd as en_eo_track_status_cd,
d_eo_track_status.eo_track_status_desc as en_eo_track_status_desc,
d_eo_track_status.display_order as en_eo_track_status_do,
d_language.language_desc as en_language_desc,
d_language.display_order as en_language_do,
d_maintained_by_status.maintained_by_status_cd as en_maintained_by_status_cd,
d_maintained_by_status.maintained_by_status_desc as en_maintained_by_status_desc,
d_maintained_by_status.display_order as en_maintained_by_status_do,
d_rank_form.rank_form_cd as en_rank_form_cd,
d_rank_form.rank_form_desc as en_rank_form_desc,
d_rank_form.display_order as en_rank_form_do,
taxon_national.element_national_id as tn_element_national_id,
taxon_national.exotic_status as tn_exotic_status,
taxon_national.exotic_status_date as tn_exotic_status_date,
taxon_national.hybrid_ind as tn_hybrid_ind,
taxon_national.d_invasiveness_rating_id as tn_d_invasiveness_rating_id,
taxon_national.invasiveness_rating_date as tn_invasiveness_rating_date,
taxon_national.invasiveness_com as tn_invasiveness_com,
taxon_national.pest_ind as tn_pest_ind,
taxon_national.pest_weed_status_com as tn_pest_weed_status_com,
taxon_national.general_status_com as tn_general_status_com,
taxon_national.interpreted_usesa as tn_interpreted_usesa,
taxon_national.interpreted_usesa_date as tn_interpreted_usesa_date,
taxon_national.usesa_com as tn_usesa_com,
taxon_national.d_cosewic_id as tn_d_cosewic_id,
taxon_national.cosewic_date as tn_cosewic_date,
taxon_national.display_order as tn_display_order,
taxon_national.interpreted_cosewic as tn_interpreted_cosewic,
taxon_national.interpreted_cosewic_date as tn_interpreted_cosewic_date,
taxon_national.cosewic_com as tn_cosewic_com,
taxon_national.scientific_name_id as tn_scientific_name_id,
taxon_national.nwi_national_indicator_range as tn_nwi_national_ind_range,
taxon_national.nwi_com as tn_nwi_com,
taxon_national.rec_last_mod_date as tn_rec_last_mod_date,
taxon_national.rec_last_mod_user as tn_rec_last_mod_user,
taxon_national.rec_create_date as tn_rec_create_date,
taxon_national.rec_create_user as tn_rec_create_user,
d_cosewic.cosewic_cd as tn_cosewic_cd,
d_cosewic.cosewic_desc as tn_cosewic_desc,
d_cosewic.display_order as tn_cosewic_do,
d_invasiveness_rating.invasiveness_rating_cd as tn_invasiveness_rating_cd,
d_invasiveness_rating.invasiveness_rating_desc as tn_invasiveness_rating_desc,
d_invasiveness_rating.display_order as tn_invasiveness_rating_do,
nname.scientific_name_id as nn_scientific_name_id,
nname.scientific_name as nn_scientific_name,
nname.formatted_scientific_name as nn_formatted_scientific_name,
nname.translated_name as nn_translated_name,
nname.d_name_category_id as nn_d_name_category_id,
nname.d_classification_level_id as nn_d_classification_level_id,
nname.placeholder_name_ind as nn_placeholder_name_ind,
nname.acronym as nn_acronym,
nname.author_name as nn_author_name,
nname.d_nomenclaturally_est_id as nn_d_nomenclaturally_est_id,
nname.relationship_to_est_name as nn_relationship_to_est_name,
nname.scientific_name_com as nn_scientific_name_com,
nname.scientific_name_internal_notes as nn_scientific_name_int_notes,
nname.rec_last_mod_user as nn_rec_last_mod_user,
nname.rec_last_mod_date as nn_rec_last_mod_date,
nname.rec_create_date as nn_rec_create_date,
nname.rec_create_user as nn_rec_create_user,
nname.scientific_name_ou_uid as nn_scientific_name_ou_uid,
nname.scientific_name_seq_uid as nn_scientific_name_seq_uid,
nname.nomenclaturally_est_name_id as nn_nomenclaturally_est_name_id,
d_classification_level.classification_level_name as nn_classification_level_name,
d_classification_level.classification_level_keyword as nn_classif_level_keyword,
d_classification_level.display_order as nn_classification_level_do,
d_name_category.name_type_cd as nn_name_type_cd,
d_name_category.name_type_desc as nn_name_type_desc,
d_name_category.name_category_desc as nn_name_category_desc,
d_name_category.display_order as nn_name_category_do,
d_nomenclaturally_est.nomenclaturally_est_desc as nn_nomenclaturally_est_desc,
d_nomenclaturally_est.display_order as nn_nomenclaturally_est_do,
nation.nation_id as nat_nation_id,
nation.iso_nation_cd as nat_iso_nation_cd,
nation.iso_short_name as nat_iso_short_name,
nation.ussd_short_name as nat_ussd_short_name,
nation.ussd_long_name as nat_ussd_long_name,
nation.nation_fips_cd as nat_nation_fips_cd,
nation.display_value as nat_display_value,
nation.display_order as nat_display_order,
data_exchange.dx_date as en_dx_date,
d_dx_status.dx_status_desc as en_dx_status,
'see ES_EO_COUNT' as en_eo_count
FROM
element_national,
taxon_national,
scientific_name nname,
nation,
d_eo_track_status,
d_endemism,
d_maintained_by_status,
d_language,
d_rank_form,
d_invasiveness_rating,
d_cosewic,
d_name_category,
d_classification_level,
d_nomenclaturally_est,
data_exchange,
d_dx_status
WHERE
element_national.element_national_id = taxon_national.element_national_id
and element_national.nname_id = nname.scientific_name_id
and element_national.nation_id = nation.nation_id
and element_national.d_eo_track_status_id
 = d_eo_track_status.d_eo_track_status_id(+)
and element_national.d_endemism_id
 = d_endemism.d_endemism_id(+)
and element_national.d_maintained_by_status_id
 = d_maintained_by_status.d_maintained_by_status_id(+)
and element_national.d_language_id
 = d_language.d_language_id(+)
and element_national.d_rank_form_id
 = d_rank_form.d_rank_form_id(+)
and taxon_national.d_invasiveness_rating_id
 = d_invasiveness_rating.d_invasiveness_rating_id(+)
and taxon_national.d_cosewic_id
 = d_cosewic.d_cosewic_id(+)
and nname.d_name_category_id
 = d_name_category.d_name_category_id(+)
and nname.d_classification_level_id
 = d_classification_level.d_classification_level_id(+)
and nname.d_nomenclaturally_est_id
 = d_nomenclaturally_est.d_nomenclaturally_est_id(+)
 and ELEMENT_NATIONAL.dx_last_exchange_id = DATA_EXCHANGE.data_exchange_id (+)
 and DATA_EXCHANGE.D_DX_STATUS_ID = D_DX_STATUS.d_dx_status_id (+);


  GRANT SELECT ON "HDMS"."ELLINK_EN_LONG_VW" TO "BIOTICS_READ_ROLE";
